Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

impossible d'installer Firefox /2.0.0.20 sur max OSX vers 10.2.8.

more options

Firefox 2.0.0.20 était installé sur ce Mac OSX version 10.2.8. l'ayant perdu, je tente de le ré installer, sans succès. Lorsque je clik sur icone, une fenetre d'avertissement me dit que Quick Time ne peut ouvrir, sans aucune autre précision. Que dois je faire?

All Replies (1)

more options

No version of Firefox above 2.0.0.20 works on that old Mac OS version.

Faites le grand saut, et achetez un nouveau Mac, c'est ce que Steve Jobs attend que vous fassiez